local RayUI, E, _, V, P, g = unpack(select(2, ...))
local module = RayUI:NewModule('RayUISkins', 'AceHook-3.0', 'AceEvent-3.0', 'AceTimer-3.0')

local pcall = pcall

module.preload = {}

function module:RegisterSkinForPreload(addonName, skinFunc, addon1)
	module.preload[addonName] = { func = skinFunc, addon = addon1 }
end

function module:RunPreload(addonName)
	if module.preload[addonName] then
		pcall(module.preload[addonName].func, self, 'ADDON_LOADED', module.preload[addonName].addon or addonName)
	end
end

function module:Init(event, addon)
	if event == 'ADDON_LOADED' then
		self:RunPreload(addon)
	end
end

-- RayUI:RegisterModule(module:GetName())
module:RegisterEvent('ADDON_LOADED', 'Init')
module:RegisterEvent('PLAYER_LOGIN', 'Init')
